/* $Id: libether.h,v 1.2 89/07/11 03:07:43 dupuy Exp $ */

/* Internal definitions for ethernet access library */

#include "ether.h"			/* get interface definitions */

/* should be defined in terms of ether_packet struct; need offsetof() macro */

#define ETHER_DST	0
#define ETHER_SRC	6
#define ETHER_TYPE	12
#define ETHER_PKT	14
#define ETHER_MAX	1500

#define ETHER_MCAST(addr) (((unsigned char *) (addr))[0] & 0x01)

#define ETHER_BUFFERS	5		/* for socket based NIT interface */
#define ETHER_BUFSIZ \
 (ETHER_BUFFERS * (ETHER_PKT + ETHER_MAX + (2 * sizeof (struct nit_hdr))))

#define ALIGNSIZE	(sizeof (long))
#define pad(x)		((ALIGNSIZE - ((unsigned)(x)) % ALIGNSIZE) % ALIGNSIZE)

#ifdef __STDC__

char *malloc (unsigned size);

#else

char *malloc ();

#endif
